Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.resource
Class Xcss2EcssConverter.CreateParser

    java.lang.Object
      org.richfaces.resource.Xcss2EcssConverter.CreateParser

Enclosing class:
  Xcss2EcssConverter

    public static class Xcss2EcssConverter.CreateParser

extends Object

Constructor Summary
`Xcss2EcssConverter.CreateParser(org.xml.sax.helpers.DefaultHandler handler)` Constructor

Method Summary
`void` | `parse(File file)` Parse a File
`void` | `parse(InputStream stream)` Parse a Stream
`void` | `parse(String uri)` Parse a URI

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Xcss2EcssConverter.CreateParser

    public Xcss2EcssConverter.CreateParser(org.xml.sax.helpers.DefaultHandler handler)
                                    throws SAXException,
                                           ParserConfigurationException

  Constructor

  Parameters:
    `handler` - - DefaultHandler for the SAX parser
  Throws:
    `ParserConfigurationException`
    `SAXException`

Method Detail

### parse

    public void parse(File file)
               throws IOException,
                      SAXException

  Parse a File

  Parameters:
    `file` - - File
  Throws:
    `IOException`
    `SAXException`

### parse

    public void parse(String uri)
               throws IOException,
                      SAXException

  Parse a URI

  Parameters:
    `uri` - - String
  Throws:
    `IOException`
    `SAXException`

### parse

    public void parse(InputStream stream)
               throws IOException,
                      SAXException

  Parse a Stream

  Parameters:
    `stream` - - InputStream
  Throws:
    `IOException`
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.